Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | Public Attributes | List of all members
Botan::newhope_poly Class Referencefinal

`#include <newhope.h>`

## Public Member Functions
| ~newhope_poly ()

## Public Attributes
uint16_t | coeffs [1024]

## Detailed Description

Definition at line 28 of file newhope.h.

## Constructor & Destructor Documentation

## ◆ ~newhope_poly()

Botan::newhope_poly::~newhope_poly | ( |  | ) |

Definition at line 20 of file newhope.cpp.

21 {
22 secure_scrub_memory(coeffs, sizeof(coeffs));
23 }
Botan::newhope_poly::coeffs
uint16_t coeffs[1024]
Definition: newhope.h:31
Botan::secure_scrub_memory
void secure_scrub_memory(void *ptr, size_t n)
Definition: os_utils.cpp:66

References coeffs, and Botan::secure_scrub_memory().

## Member Data Documentation

## ◆ coeffs

uint16_t Botan::newhope_poly::coeffs[1024]

Definition at line 31 of file newhope.h.

Referenced by ~newhope_poly().

The documentation for this class was generated from the following files:

- src/lib/pubkey/newhope/newhope.h
- src/lib/pubkey/newhope/newhope.cpp